=== debian/changelog ===
gvmd (24.0.0-1) unstable; urgency=medium

  * New upstream version 24.0.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 25 Nov 2024 15:40:33 +0100

gvmd (23.10.0-1) unstable; urgency=medium

  * New upstream version 23.10.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Oct 2024 11:04:12 +0200

gvmd (23.8.1-1) unstable; urgency=medium

  * New upstream version 23.8.1
  * Add missing build-dep libcjson-dev
  * Bump Standards-Version to 4.7.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Aug 2024 13:57:52 +0200

gvmd (23.6.2-1) unstable; urgency=medium

  * New upstream version 23.6.2
  * Move files to /usr (Closes: #1073695)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Jun 2024 17:47:38 +0200

gvmd (23.5.2-1) unstable; urgency=medium

  * New upstream version 23.5.2
  * Update minimal version of libgvm-dev
  * Replace build-dep pkg-config with pkgconf
  * Refresh patches
  * Remove hard-coded lib (Closes: #1069332)
  * Depends on correct package postgresql-VERSION-pg-gvm
  * Update minimal required version of greenbone-feed-sync

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Apr 2024 08:58:35 +0200
