## gvmd 25.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 message ("-- Configuring Greenbone Vulnerability Manager...")
 
 project (gvm
-         VERSION 24.0.0
+         VERSION 25.2.1
          LANGUAGES C)
 
 if (POLICY CMP0005)
@@ -37,11 +37,6 @@
 
 OPTION (ENABLE_COVERAGE "Enable support for coverage analysis" OFF)
 OPTION (DEBUG_FUNCTION_NAMES "Print function names on entry and exit" OFF)
-# the shell based scripts got replaced by https://github.com/greenbone/greenbone-feed-sync/
-OPTION (INSTALL_OLD_SYNC_SCRIPTS "Install shell based feed sync scripts" OFF)
-if (INSTALL_OLD_SYNC_SCRIPTS)
-  message (DEPRECATION "The version of greenbone-feed-sync included in gvmd is deprecated in favor of the newer Python version (https://github.com/greenbone/greenbone-feed-sync/) and will be removed in the next major version.")
-endif (INSTALL_OLD_SYNC_SCRIPTS)
 
 ## Retrieve git revision (at configure time)
 include (GetGit)
@@ -69,7 +64,7 @@
   set (PROJECT_VERSION_SUFFIX "~dev${PROJECT_DEV_VERSION}")
 endif (PROJECT_DEV_VERSION)
 
-set (PROJECT_VERSION_STRING 
+set (PROJECT_VERSION_STRING
 "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${PROJECT_VERSION_SUFFIX}${GIT_REVISION}")
 
 ## CPack configuration
@@ -101,14 +96,13 @@
 
 ## Variables
 
-set (GVMD_DATABASE_VERSION 256)
-
-set (GVMD_SCAP_DATABASE_VERSION 21)
+set (GVMD_DATABASE_VERSION 259)
+
+set (GVMD_SCAP_DATABASE_VERSION 22)
 
 set (GVMD_CERT_DATABASE_VERSION 8)
 
-set (GMP_VERSION "22.5")
-set (GMP_VERSION_FEED "22.04")
+set (GMP_VERSION "22.6")
 
 if (SYSCONF_INSTALL_DIR)
   set (SYSCONFDIR "${SYSCONF_INSTALL_DIR}")
@@ -163,11 +157,13 @@
   set (GVMD_STATE_DIR  "${GVM_STATE_DIR}/gvmd")
 endif (NOT GVMD_STATE_DIR)
 
-if (NOT GVM_LOG_DIR)
-  set (GVM_LOG_DIR    "${LOCALSTATEDIR}/log/gvm")
-else (NOT GVM_LOG_DIR)
-  set (GVM_LOG_DIR    "${GVM_LOG_DIR}")
-endif (NOT GVM_LOG_DIR)
+if (NOT GVMD_LOG_FILE)
+  if (GVM_LOG_DIR)
+    set (GVMD_LOG_FILE "${GVM_LOG_DIR}/gvmd.log")
+  else (GVM_LOG_DIR)
+    set (GVMD_LOG_FILE "-")
+  endif (GVM_LOG_DIR)
+endif (NOT GVMD_LOG_FILE)
 
 set (GVM_SCAP_RES_DIR "${GVM_DATA_DIR}/scap")
 set (GVM_CERT_RES_DIR "${GVM_DATA_DIR}/cert")
@@ -215,7 +211,7 @@
 endif (NOT DATA_OBJECTS_FEED_DIR)
 
 if (NOT GVMD_FEED_DIR)
-  set (GVMD_FEED_DIR "${DATA_OBJECTS_FEED_DIR}/gvmd/${GMP_VERSION_FEED}")
+  set (GVMD_FEED_DIR "${DATA_OBJECTS_FEED_DIR}/gvmd")
 endif (NOT GVMD_FEED_DIR)
 
 if (NOT GVM_ACCESS_KEY_DIR)
@@ -247,24 +243,24 @@
 endif (NOT CVSS3_RATINGS)
 add_definitions (-DCVSS3_RATINGS=${CVSS3_RATINGS})
 
-if (NOT COMPLIANCE_REPORTS)
-  set (COMPLIANCE_REPORTS 1)
-endif (NOT COMPLIANCE_REPORTS)
-add_definitions (-DCOMPLIANCE_REPORTS=${COMPLIANCE_REPORTS})
+if (CVSS3_RATINGS EQUAL 1)
+  set(IF_CVSS3_RATINGS "")
+  set(ENDIF_CVSS3_RATINGS "")
+  set(IF_NOT_CVSS3_RATINGS "<!--")
+  set(ENDIF_NOT_CVSS3_RATINGS "-->")
+elseif (CVSS3_RATINGS EQUAL 0)
+  set(IF_CVSS3_RATINGS "<!--")
+  set(ENDIF_CVSS3_RATINGS "-->")
+  set(IF_NOT_CVSS3_RATINGS "")
+  set(ENDIF_NOT_CVSS3_RATINGS "")
+endif()
 
 message ("-- Install prefix: ${CMAKE_INSTALL_PREFIX}")
+message ("-- Log file: ${GVMD_LOG_FILE}")
 
 ## Version
 
 set (GVMD_VERSION "${PROJECT_VERSION_STRING}")
-
-if (COMPLIANCE_REPORTS EQUAL 1)
-  set(IF_COMPLIANCE_REPORTS "")
-  set(ENDIF_COMPLIANCE_REPORTS "")
-elseif (COMPLIANCE_REPORTS EQUAL 0)
-  set(IF_COMPLIANCE_REPORTS "<!--")
-  set(ENDIF_COMPLIANCE_REPORTS "-->")
-endif()
 
 # Configure Doxyfile with version number
 configure_file (doc/Doxyfile.in doc/Doxyfile)
@@ -274,9 +270,6 @@
 configure_file (VERSION.in VERSION)
 configure_file (src/gvmd_log_conf.cmake_in src/gvmd_log.conf)
 configure_file (src/schema_formats/XML/GMP.xml.in src/schema_formats/XML/GMP.xml @ONLY)
-configure_file (tools/greenbone-feed-sync.in tools/greenbone-feed-sync @ONLY)
-configure_file (tools/greenbone-scapdata-sync.in tools/greenbone-scapdata-sync @ONLY)
-configure_file (tools/greenbone-certdata-sync.in tools/greenbone-certdata-sync @ONLY)
 configure_file (tools/gvm-manage-certs.in tools/gvm-manage-certs @ONLY)
 
 ## Code coverage
@@ -353,3 +346,16 @@
 
 install (FILES src/schema_formats/rnc.xsl
                src/schema_formats/RNC/RNC.xsl
+         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/787a4a18-dabc-11df-9486-002264764cea/
+         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)
+
+install (FILES src/schema_formats/RNC/generate
+         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/787a4a18-dabc-11df-9486-002264764cea/
+         PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
+
+install (FILES ${CMAKE_BINARY_DIR}/src/schema_formats/XML/GMP.xml
+         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/18e826fc-dab6-11df-b913-002264764cea/
+         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)
+
+install (FILES src/schema_formats/XML/generate
+         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/18e826fc-dab6-11df-b913-002264764cea/
