=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,10 +27,16 @@
 ## might occur.
 
 pkg_check_modules (CJSON REQUIRED libcjson>=1.7.14)
-pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=22.12)
-pkg_check_modules (LIBGVM_UTIL REQUIRED libgvm_util>=22.12)
-pkg_check_modules (LIBGVM_OSP REQUIRED libgvm_osp>=22.12)
-pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=22.12)
+pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=22.17)
+pkg_check_modules (LIBGVM_UTIL REQUIRED libgvm_util>=22.17)
+pkg_check_modules (LIBGVM_OSP REQUIRED libgvm_osp>=22.17)
+pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=22.17)
+if (OPENVASD)
+    pkg_check_modules (LIBGVM_HTTP REQUIRED libgvm_http>=22.19)
+    pkg_check_modules (LIBGVM_OPENVASD REQUIRED libgvm_openvasd>=22.19)
+else (OPENVASD)
+    message (STATUS "OPENVASD flag is not enabled")
+endif (OPENVASD)
 pkg_check_modules (GNUTLS REQUIRED gnutls>=3.2.15)
 pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
 pkg_check_modules (LIBBSD REQUIRED libbsd)
@@ -91,7 +97,7 @@
   set (OPT_THEIA_TGT "")
 endif (WITH_LIBTHEIA)
 
-include_directories (${LIBGVM_GMP_INCLUDE_DIRS}
+include_directories (${LIBGVM_GMP_INCLUDE_DIRS} ${LIBGVM_OPENVASD_INCLUDE_DIRS}
                      ${LIBGVM_BASE_INCLUDE_DIRS} ${LIBGVM_UTIL_INCLUDE_DIRS}
                      ${LIBGVM_OSP_INCLUDE_DIRS}  ${LIBBSD_INCLUDE_DIRS} ${GLIB_INCLUDE_DIRS})
 
@@ -111,27 +117,30 @@
                 gvmd.c gmpd.c
                 ipc.c
                 manage.c sql.c
-                manage_acl.c manage_configs.c manage_get.c
-                manage_license.c
-                manage_port_lists.c manage_preferences.c
-                manage_report_configs.c
-                manage_report_formats.c
-                manage_authentication.c
-                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
-                manage_sql_port_lists.c manage_sql_configs.c
-                manage_sql_report_configs.c
-                manage_sql_report_formats.c
-                manage_sql_tickets.c manage_sql_tls_certificates.c
-                manage_tls_certificates.c
-                manage_migrators.c
-                sql_pg.c manage_pg.c
-                lsc_user.c lsc_crypt.c utils.c
-                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
-                gmp_license.c gmp_logout.c
-                gmp_port_lists.c
-                gmp_report_configs.c
-                gmp_report_formats.c gmp_tickets.c
-                gmp_tls_certificates.c)
+                manage_acl.c manage_alerts.c manage_configs.c manage_events.c
+                manage_get.c manage_license.c
+                manage_port_lists.c manage_preferences.c
+                manage_report_configs.c
+                manage_report_formats.c
+                manage_authentication.c
+                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
+                manage_sql_port_lists.c manage_sql_configs.c
+                manage_sql_report_configs.c
+                manage_sql_report_formats.c
+                manage_sql_tickets.c manage_sql_tls_certificates.c
+                manage_tls_certificates.c
+                manage_migrators.c
+                sql_pg.c manage_pg.c
+                lsc_user.c lsc_crypt.c utils.c
+                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
+                gmp_license.c gmp_logout.c
+                gmp_port_lists.c
+                gmp_report_configs.c
+                gmp_report_formats.c gmp_tickets.c
+                gmp_tls_certificates.c
+                manage_sql_nvts_osp.c
+                manage_sql_nvts_openvasd.c
+                manage_sql_nvts_common.c)
 
 add_test (manage-utils-test manage-utils-test)
 
@@ -143,27 +152,30 @@
                 gvmd.c gmpd.c
                 ipc.c
                 manage_utils.c sql.c
-                manage_acl.c manage_configs.c manage_get.c
-                manage_license.c
-                manage_port_lists.c manage_preferences.c
-                manage_report_configs.c
-                manage_report_formats.c
-                manage_authentication.c
-                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
-                manage_sql_port_lists.c manage_sql_configs.c
-                manage_sql_report_configs.c
-                manage_sql_report_formats.c
-                manage_sql_tickets.c manage_sql_tls_certificates.c
-                manage_tls_certificates.c
-                manage_migrators.c
-                sql_pg.c manage_pg.c
-                lsc_user.c lsc_crypt.c utils.c
-                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
-                gmp_license.c gmp_logout.c
-                gmp_port_lists.c
-                gmp_report_configs.c
-                gmp_report_formats.c gmp_tickets.c
-                gmp_tls_certificates.c)
+                manage_acl.c manage_alerts.c manage_configs.c manage_events.c
+                manage_get.c manage_license.c
+                manage_port_lists.c manage_preferences.c
+                manage_report_configs.c
+                manage_report_formats.c
+                manage_authentication.c
+                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
+                manage_sql_port_lists.c manage_sql_configs.c
+                manage_sql_report_configs.c
+                manage_sql_report_formats.c
+                manage_sql_tickets.c manage_sql_tls_certificates.c
+                manage_tls_certificates.c
+                manage_migrators.c
+                sql_pg.c manage_pg.c
+                lsc_user.c lsc_crypt.c utils.c
+                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
+                gmp_license.c gmp_logout.c
+                gmp_port_lists.c
+                gmp_report_configs.c
+                gmp_report_formats.c gmp_tickets.c
+                gmp_tls_certificates.c
+                manage_sql_nvts_osp.c
+                manage_sql_nvts_openvasd.c
+                manage_sql_nvts_common.c)
 
 add_test (manage-test manage-test)
 
@@ -175,8 +187,8 @@
                 gvmd.c gmpd.c
                 ipc.c
                 manage_utils.c manage.c sql.c
-                manage_acl.c manage_configs.c manage_get.c
-                manage_license.c
+                manage_acl.c manage_alerts.c manage_configs.c manage_events.c
+                manage_get.c manage_license.c
                 manage_port_lists.c manage_preferences.c
                 manage_report_configs.c
                 manage_report_formats.c
@@ -195,7 +207,10 @@
                 gmp_port_lists.c
                 gmp_report_configs.c
                 gmp_report_formats.c gmp_tickets.c
-                gmp_tls_certificates.c)
+                gmp_tls_certificates.c
+                manage_sql_nvts_osp.c
+                manage_sql_nvts_openvasd.c
+                manage_sql_nvts_common.c)
 
 add_test (manage-sql-test manage-sql-test)
 
@@ -207,8 +222,8 @@
                 gvmd.c gmpd.c
                 ipc.c
                 manage_utils.c manage.c sql.c
-                manage_acl.c manage_configs.c manage_get.c
-                manage_license.c
+                manage_acl.c manage_alerts.c manage_configs.c manage_events.c
+                manage_get.c manage_license.c
                 manage_port_lists.c manage_preferences.c
                 manage_report_configs.c
                 manage_report_formats.c
@@ -227,7 +242,10 @@
                 gmp_port_lists.c
                 gmp_report_configs.c
                 gmp_report_formats.c
-                gmp_tls_certificates.c)
+                gmp_tls_certificates.c
+                manage_sql_nvts_osp.c
+                manage_sql_nvts_openvasd.c
+                manage_sql_nvts_common.c)
 
 add_test (gmp-tickets-test gmp-tickets-test)
 
@@ -239,8 +257,8 @@
                 gvmd.c gmpd.c
                 ipc.c
                 manage_utils.c manage.c sql.c
-                manage_acl.c manage_configs.c manage_get.c
-                manage_license.c
+                manage_acl.c manage_alerts.c manage_configs.c manage_events.c
+                manage_get.c manage_license.c
                 manage_port_lists.c manage_preferences.c
                 manage_report_configs.c
                 manage_report_formats.c
@@ -259,7 +277,10 @@
                 gmp_port_lists.c
                 gmp_report_configs.c
                 gmp_report_formats.c gmp_tickets.c
-                gmp_tls_certificates.c)
+                gmp_tls_certificates.c
+                manage_sql_nvts_osp.c
+                manage_sql_nvts_openvasd.c
+                manage_sql_nvts_common.c)
 
 add_test (utils-test utils-test)
 
@@ -272,28 +293,3 @@
                      COMMAND gcovr --html-details ${COVERAGE_DIR}/coverage.html
                      -r ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
   add_custom_target (coverage-xml
-                     COMMAND gcovr --xml ${COVERAGE_DIR}/coverage.xml
-                     -r ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
-  add_custom_target (coverage DEPENDS coverage-xml coverage-html)
-endif (ENABLE_COVERAGE)
-
-add_custom_target (clean-coverage
-                   COMMAND find . -name *.gcda -delete -or -name *.gcno -delete
-                   COMMAND rm -f ${COVERAGE_DIR}/*)
-
-
-add_executable (gvmd
-                main.c gvmd.c
-                debug_utils.c
-                gmpd.c
-                ipc.c
-                manage_utils.c manage.c sql.c
-                manage_acl.c manage_configs.c manage_get.c
-                manage_license.c
-                manage_port_lists.c manage_preferences.c
-                manage_report_configs.c
-                manage_report_formats.c
-                manage_authentication.c
-                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
-                manage_sql_port_lists.c manage_sql_configs.c
-                manage_sql_report_configs.c
