=== debian/changelog ===
gvmd (25.2.1-1) unstable; urgency=medium

  * New upstream version 25.2.1
  * Refresh patches
  * Update debian/copyright
  * Bump Standards-Version to 4.7.2 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Apr 2025 17:00:52 +0200

gvmd (25.1.3-1) unstable; urgency=medium

  * New upstream version 25.1.3
  * Refresh patches
  * Update minimal version of libgvm22

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Mar 2025 12:34:48 +0100

gvmd (24.3.0-1) unstable; urgency=medium

  * New upstream version 24.3.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Jan 2025 14:31:37 +0100
