=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper-compat (= 13),
                doxygen,
                gnutls-bin,
-               libgvm-dev (>= 22.8.0),
+               libgvm-dev (>= 22.18.0),
                libical-dev,
 	       libbsd-dev,
 	       libcjson-dev,
@@ -17,7 +17,7 @@
                xml-twig-tools,
                xmltoman,
                xsltproc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.greenbone.net/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/gvmd.git
